import { basis as e } from "./basis.js";
//#region ../../node_modules/d3-interpolate/src/basisClosed.js
function t(t) {
	var n = t.length;
	return function(r) {
		var i = Math.floor(((r %= 1) < 0 ? ++r : r) * n), a = t[(i + n - 1) % n], o = t[i % n], s = t[(i + 1) % n], c = t[(i + 2) % n];
		return e((r - i / n) * n, a, o, s, c);
	};
}
//#endregion
export { t as default };
